package com.clx.performance.sdk.callback.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.clx.performance.sdk.constant.MessageConstants.QUOTATION_INFO_SYNC;

/**
 * @ClassName Quotation
 * @Description 同步调价
 * @Author kavin
 * @Date 2023/10/14 17:56
 * @Version 1.0
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class QuotationUpdateMessage implements Message{

    @ApiModelProperty(value = "订单编号")
    private String orderNo;
    @ApiModelProperty(value = "平台报价价格")
    private BigDecimal platformFreightQuotation;
    @ApiModelProperty(value = "报价超时时间")
    private LocalDateTime quotationTimeoutTime;



    @Override
    public String topic() {
        return QUOTATION_INFO_SYNC;
    }
}
